{% load static %}
<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!--Arquivos Javascript remoto-->
  <script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.3.1.js"></script>

  <!--Arquivos CSS remotos-->
  <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/icon?family=Material+Icons">

  <!--Arquivos CSS locais-->
  <!--link rel='stylesheet' type='text/css' href="{% static 'css/topnav.css' %}">-->
  <link rel='stylesheet' type='text/css' href="{% static 'css/trippin_post_copy.css' %}">
</head>

<body>
  <!--Menu superior-->
  <ul class="topnav">
    <li class="active"><a href="{% url 'register_human_user' %}">Cadastro de Usuários</a></li>
    <li><a href="{% url 'register_hotel_user' %}">Cadastro de Hoteis</a></li>
    <li><a href="{% url 'register_restaurant_user' %}">Cadastro de Restaurantes</a></li>
    <li><a href="{% url 'register_attraction_user' %}">Cadastro de Atrações</a></li>
    <li class="logout"><a href="{% url 'login_user' %}">Login</a></li>
  </ul>

  <!--Titulo e logo-->
  <div>
    <h1>
      <br>
      <center>
        <img src="{% static 'img/logo.jpeg' %}" style="width:10%" class="center"></center>    
      <br>
      Cadastro de Restaurantes
    </h1>
  </div>

  <!--Formulario de cadastro de processos-->
  <form class="form" method="POST">
    <ul>
      <h2>
          Cadastre-se aqui!
      </h2>

      {% csrf_token %}
      {{ form.as_p }}

      <li>
        <input type="text" class="field-style field-full align-none" placeholder="Username" name="restaurant_name" required>
          <select type="text" class="field-style field-full align-none" placeholder="Adress" name="restaurant_adress" required>
            <option value="">Código da Cidade</option>
            <option value='{"lat": 41.397158,"long": 2.160873}'>Barcelona</option>
            <option value='{"lat": 50.06898,"long": 14.45367}'>Prague</option>
            <option value='{"lat": 47.49622,"long": 19.04588}'>Budapest</option>
            <option value='{"lat": 48.85756,"long": 2.3428}'>Paris</option>
            <option value='{"lat": 40.42955,"long": -3.67930}'>Madrid</option>
            <option value='{"lat": 52.50143,"long": 13.40479}'>Berlin</option>
            <option value='{"lat": 59.31074,"long": 18.10275}'>Stockholm</option>
            <option value='{"lat": 37.99231,"long": 23.72062}'>Athens</option>
            <option value='{"lat": 51.51753,"long": -0.11214}'>London</option>
            <option value='{"lat": 52.36053,"long": 4.89668}'>Amsterdam</option>
            <option value='{"lat": 48.19231,"long": 16.37136}'>Vienna</option>
            <option value='{"lat": 43.72846,"long": 7.42103}'>Monaco</option>
            <option value='{"lat": 49.61161,"long": 6.12994}'>Luxembourg</option>
            <option value='{"lat": 59.91694,"long": 10.77569}'>Oslo</option>
            <option value='{"lat": 53.32306,"long": -6.25415}'>Dublin</option>
            <option value='{"lat": 55.6795,"long": 12.5912}'>Copenhagen</option>
            <option value='{"lat": 55.75706,"long": 37.60976}'>Moscow</option>
            <option value='{"lat": 19.432666,"long": -99.1324396}'>Mexico City</option>
            <option value='{"lat": -34.90860,"long": -56.14225}'>Montevideo</option>
            <option value='{"lat": -33.42951,"long": -70.58762}'>Santiago</option>
            <option value='{"lat": 25.07517,"long": -77.41078}'>Nassau</option>
            <option value='{"lat": 13.68918,"long": -89.29178}'>San Salvador</option>
            <option value='{"lat": -15.73806,"long": -47.89595}'>Brasília</option>
            <option value='{"lat": -27.36677,"long": -55.89655}'>Asunción</option>
            <option value='{"lat": 4.55510,"long": -74.15039}'>Bogotá</option>
            <option value='{"lat": -77.03535,"long": 38.898754}'>Washington D.C.</option>
            <option value='{"lat": -34.60983,"long": -58.45228}'>Buenos Aires</option>
            <option value='{"lat": 21.80625,"long": -79.99015}'>Havana</option>
            <option value='{"lat": 8.79551,"long": -82.43793}'>Panama City</option>
            <option value='{"lat": -12.04946,"long": -77.03397}'>Lima</option>
            <option value='{"lat": 33.87589,"long": 35.53858}'>Beirut</option>
            <option value='{"lat": 24.23937,"long": 55.73137}'>Abu Dhabi</option>
            <option value='{"lat": 35.68046,"long": 139.68875}'>Tokyo</option>
            <option value='{"lat": 39.913818,"long": 116.363625}'>Beijing</option>
            <option value='{"lat": 33.38238,"long": 44.45044}'>Baghdad</option>
            <option value='{"lat": 23.70605,"long": 90.47172}'>Dhaka</option>
            <option value='{"lat": 35.65793,"long": 51.39779}'>Tehran</option>
            <option value='{"lat": 37.47836,"long": 127.01317}'>Seoul</option>
            <option value='{"lat": 31.79002,"long": 35.20262}'>Jerusalem</option>
            <option value='{"lat": 34.00756,"long": 69.01514}'>Kabul</option>
            <option value='{"lat": 3.13871,"long": 101.68210}'>Kuala Lumpur</option>
            <option value='{"lat": 1.38986,"long": 103.98226}'>Singapore</option>
            <option value='{"lat": 30.03497,"long": 31.56346}'>Cairo</option>
            <option value='{"lat": 36.74883,"long": 10.24525}'>Tunisia</option>
            <option value='{"lat": 0.35589,"long": 6.70459}'>São Tomé</option>
            <option value='{"lat": 12.11844,"long": -14.45580}'>Bissau</option>
            <option value='{"lat": 13.4647,"long": -16.67621}'>Banjul</option>
        </select>
        <input type="text" class="field-style field-full align-none" placeholder="Cuisines" name="restaurant_cuisines" required>
        <input type="text" class="field-style field-full align-none" placeholder="Special Diets" name="restaurant_special_diets" required>
        <input type="text" class="field-style field-full align-none" placeholder="Business Hours" name="restaurant_business_hours" required>
        <input type="text" class="field-style field-full align-none" placeholder="Phone Number" name="restaurant_phone_number" required>
        <input type="text" class="field-style field-full align-none" placeholder="Email" name="restaurant_email" required>
        <input type="password" class="field-style field-full align-none" placeholder="Password/Valor minimo de 8 caracteres" name="restaurant_password" required>
      </li>
      
      {% for message in messages %}
          <div class="alert alert-danger" style="text-align: center;">
            {{ message }}
          </div>
        {% endfor %}

      {% csrf_token %}

      <li>
        <input type="submit" value="Cadastre-se" name="register"/>
      </li>

    </ul>
  </form>
</body>
</html>

<style>
  /* Titulo e logo da Globo */
h1
{
  text-transform: uppercase;
  font-family: 'Open Sans Condensed', sans-serif;
  color: #9b1111;
  font-size: 24px;
  font-weight: 100;
  text-align: center;
  padding: 20px;
  margin: -30px -30px 30px -30px;
}

.center {
  display:block;
  margin-left: auto;
  margin-right: auto;
}
/* Menu de navegacao superior */
.topnav
{
  overflow: hidden;
  background-color: #B4B4B7;
  list-style-type: none;
  margin: 0 0;
  padding: 0 0;
}

.topnav li {
  float: left;
}

.topnav a
{
  display: block;
  color: #ffffff;
  text-align: center;
  padding: 14px 10px;
  text-decoration: none;
  font-size: 16px;
}

.topnav a:hover
{
  background-color: #373ca0;
  color: #ffffff;
}

.topnav li.active
{
  background-color: #a1c1d3;
  color: #ffffff;
  margin: 0 25px;
  border-radius: 10px;
  text-align: left;
}

.topnav li.logout
{
  background-color: #373ca0;
  color: white;
  float: right;
}

img {
    display: block;
    margin-left: 0;
    margin-right: -430px;
    border-right: -10px;
    padding: 0 0;
  }

</style>